LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Included Services | Exported Interfaces | Public Attributes | List of all members
Binding Service Reference

represent a binding to one or more nodes in the DOM tree of an XModel. More...

`import"Binding.idl";`

Inheritance diagram for Binding:

## Included Services
service | com::sun::star::form::binding::ValueBinding
| allows the binding to act as value supplier for a form component More...
service | com::sun::star::form::binding::ListEntrySource
| allows the binding to act as source for list entries of form controls More...

## Exported Interfaces
interface | com::sun::star::util::XModifyBroadcaster
| allows external instances to observe the value represented by the binding More...
interface | com::sun::star::form::validation::XValidator
| allows the binding to act as validator for a form component More...
Exported Interfaces inherited from ValueBinding
interface | com::sun::star::beans::XPropertySet
| allows access to the properties of the binding More...
interface | XValueBinding
| allows read and write access to the value represented by this binding More...
interface | com::sun::star::util::XModifyBroadcaster
| allows other components to be notified when the value represented by the ValueBinding instance changes. More...
interface | com::sun::star::lang::XComponent
| allows life time control for the component More...
Exported Interfaces inherited from ListEntrySource
interface | XListEntrySource
| allows read access to the entries represented by this component More...
interface | com::sun::star::lang::XComponent
| allows life time control for the component More...

## Public Attributes
com::sun::star::container::XNameContainer | BindingNamespaces
| among other properties, there is this one More...
Public Attributes inherited from ValueBinding
boolean | ReadOnly
| determines whether the value is currently readonly More...
boolean | Relevant
| determines the relevance of the value represented by the binding More...

## Additional Inherited Members
Public Member Functions inherited from XValueBinding
sequence< type > | getSupportedValueTypes ()
| determines the types which are supported by this binding for value exchange More...
boolean | supportsType ([in] type aType)
| determines whether a given type is supported by this binding for value exchange More...
any | getValue ([in] type aType) raises ( IncompatibleTypesException )
| retrieves the current value More...
void | setValue ([in] any aValue) raises ( IncompatibleTypesException, InvalidBindingStateException, com::sun::star::lang::NoSupportException )
| sets the current value More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XListEntrySource
long | getListEntryCount ()
| retrieves the number of entries in the list More...
string | getListEntry ([in] long Position) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| provides access to a single list entry More...
sequence< string > | getAllListEntries ()
| provides access to the entirety of all list entries More...
void | addListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| adds a listener which will be notified about changes in the list reflected by the component. More...
void | removeListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| revokes the given listener from the list of components which will be notified about changes in the entry list. More...
Public Member Functions inherited from XValidator
boolean | isValid ([in] any Value)
| determines whether the given value is valid More...
string | explainInvalid ([in] any Value)
| retrieves a justification for the invalidity of the given value More...
void | addValidityConstraintListener ([in] XValidityConstraintListener Listener) raises ( com::sun::star::lang::NullPointerException )
| registers the given validity listener. More...
void | removeValidityConstraintListener ([in] XValidityConstraintListener Listener) raises ( com::sun::star::lang::NullPointerException )
| revokes the given validity listener More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XValueBinding
sequence< type > | getSupportedValueTypes ()
| determines the types which are supported by this binding for value exchange More...
boolean | supportsType ([in] type aType)
| determines whether a given type is supported by this binding for value exchange More...
any | getValue ([in] type aType) raises ( IncompatibleTypesException )
| retrieves the current value More...
void | setValue ([in] any aValue) raises ( IncompatibleTypesException, InvalidBindingStateException, com::sun::star::lang::NoSupportException )
| sets the current value More...
Protected Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

represent a binding to one or more nodes in the DOM tree of an XModel.

## Exported Interfaces

service com::sun::star::form::binding::ListEntrySource

allows the binding to act as source for list entries of form controls

If a binding is associated with more than one node in a DOM tree, it does not represent a single value, but a list of values. Using this interface, this list can be displayed in form control list and combo boxes.

service com::sun::star::form::binding::ValueBinding

allows the binding to act as value supplier for a form component

See also
  com::sun::star::form::binding::BindableControlModel

## Exported Interfaces

interface com::sun::star::form::validation::XValidator

allows the binding to act as validator for a form component

See also
  com::sun::star::form::binding::ValidatableControlModel

interface com::sun::star::util::XModifyBroadcaster

allows external instances to observe the value represented by the binding

This interface is an optional part of the com::sun::star::form::binding::ValueBinding service, but loses its optionality here.

## Member Data Documentation

com::sun::star::container::XNameContainer BindingNamespaces
| optional property

among other properties, there is this one

It is unclear to me whether this is an implementation detail or a supported interface.

The value supports the service com::sun::star::xml::NamespaceContainer

See also
  com::sun::star::xml::NamespaceContainer

The documentation for this service was generated from the following file:

- com/sun/star/xforms/Binding.idl